no-bug: Remove extra verification when signing mars (gh-13321)

This commit is contained in:
mr. m
2026-04-19 20:41:42 +02:00
committed by GitHub
parent 3fa5b4867c
commit 4e84352023

View File

@@ -200,15 +200,6 @@ sign_mars() {
"$SIGNMAR" -d "$NSS_CONFIG_DIR" -n "mar_sig" -s "$mar_file" "$mar_file".signed
echo "Signed $mar_file. Verifying signature..."
"$SIGNMAR" -d "$NSS_CONFIG_DIR" -n "mar_sig" -v "$mar_file".signed
if [ $? -ne 0 ]; then
echo "Signature verification failed for $mar_file.signed" >&2
exit 1
fi
"$SIGNMAR" -D "build/signing/public_key.der" -v "$mar_file".signed
if [ $? -ne 0 ]; then
echo "Public key verification failed for $mar_file.signed" >&2
exit 1
fi
mv "$mar_file".signed "$mar_file"
echo "Successfully signed $mar_file"
update_manifests "$mar_file"